# Timer_Queue_Adapters.h File Reference

`#include "ace/Task.h"`
`#include "ace/Signal.h"`
`#include "ace/Condition_Recursive_Thread_Mutex.h"`
`#include "ace/Timer_Queue_Adapters.inl"`
`#include "ace/Timer_Queue_Adapters.cpp"`

Include dependency graph for Timer_Queue_Adapters.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Async_Timer_Queue_Adapter< TQ >
| Adapts a <tq> to be run asynchronously. More...
class | ACE_Thread_Timer_Queue_Adapter< TQ >
| Adapts a Timer_Queue using a separate thread for dispatching. More...

## Detailed Description

Id
  Timer_Queue_Adapters.h,v 4.44 2006/02/10 10:26:45 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu> and Carlos O'Ryan <coryan@uci.edu>